Knowledge Base - Technical Articles


Technical Article   Error:  Error 2908. Could not register component

Article ID: 29053
Software:  ArcGIS - ArcEditor 8.3, 9.0, 9.1 ArcGIS - ArcInfo 8.3, 9.0, 9.1 ArcGIS - ArcView 8.3, 9.0, 9.1
Platforms: N/A

Error Message

During the installation of ArcGIS Desktop, the following error is displayed:

"Error 2908. Could not register component"

Cause

This error occurs when the installation of the Microsoft .NET Framework has been corrupted or if the Microsoft .NET Framework 2.0 or 2.0 beta is installed.

Solution or Workaround

Uninstall all versions of Microsoft .NET Framework and reinstall.

  1. Navigate to Start > Control Panel > Add/Remove Programs.
  2. Remove all installed versions of Microsoft .NET Framework and any Microsoft .NET Framework hotfixes.
  3. Open a web browser and go to http://windowsupdate.microsoft.com.
  4. Install Microsoft .NET Framework 1.1; this installation usually takes a few minutes and usually requires a reboot of the computer.
  5. Open an web browser and go to http://windowsupdate.microsoft.com.
  6. Install Microsoft .NET Framework 1.1 Hotfix.

     Do not install Microsoft .NET Framework 2.0 or 2.0 beta as this version is not supported by ArcGIS Desktop 8.x or 9.0.

Related Information


Created: 3/31/2005
Last Modified: 1/22/2010

If you would like to post a comment, please login